%define upstream_name    Callback-Frame
%define upstream_version 1.003

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Preserve error handlers and "local" variables across callbacks
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Callback/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Guard)
BuildArch:  noarch

%description
The problem that this module solves is that although closures preserve
their lexical environment, they don't preserve their dynamic environment.

Consider the following piece of *broken* code:

    use AnyEvent;

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc COPYING Changes META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Sat Oct 19 2013 umeabot <umeabot> 1.3.0-2.mga4
+ Revision: 527595
- Mageia 4 Mass Rebuild

* Mon Jun 10 2013 jquelin <jquelin> 1.3.0-1.mga4
+ Revision: 441484
- update to 1.003

* Sun Jan 13 2013 umeabot <umeabot> 0.200.0-2.mga3
+ Revision: 363768
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Oct 10 2012 jquelin <jquelin> 0.200.0-1.mga3
+ Revision: 304354
- imported package perl-Callback-Frame


* Wed Oct 10 2012 cpan2dist 0.2-1mga
- initial mageia release, generated with cpan2dist
